VibrationPot = {};
VibrationPot.modDir = g_currentModDirectory;

local VibrationPot_input;

function VibrationPot.prerequisitesPresent(specializations)
    return true;
end;

function VibrationPot:load(savegame)
	self.VibrationPot_load = Utils.getNoNil(getXMLFloat(self.xmlFile, "vehicle.vibration#nombre"));
	if self.VibrationPot_load ~= nil then
		self.VibrationPot_name = {};
		self.VibrationPot_state = {};
		self.VibrationPot_help = {};
		self.VibrationPot_loop = {};
		self.VibrationPot_motor = {};
		local animacoens;
		local nome;
		local helpText;
		for a = 1, self.VibrationPot_load do
			animacoens = string.format("vehicle.vibration.animation%d", a);
			nome = getXMLString(self.xmlFile, animacoens .. "#name");
			helpText = getXMLBool(self.xmlFile, animacoens .. "#helpText");
			animationLoop = Utils.getNoNil(getXMLBool(self.xmlFile, animacoens .. "#animationLoop"));
			MotorOn = Utils.getNoNil(getXMLBool(self.xmlFile, animacoens .. "#MotorON"));
			table.insert(self.VibrationPot_name, nome);
			table.insert(self.VibrationPot_state, false);
			table.insert(self.VibrationPot_help, helpText);
			table.insert(self.VibrationPot_loop, animationLoop);
			table.insert(self.VibrationPot_motor, MotorOn);
			a = a + 1;
		end;
	end;
end;

function VibrationPot:delete()
end;

function VibrationPot:mouseEvent(posX, posY, isDown, isUp, button)
end;

function VibrationPot:keyEvent(unicode, sym, modifier, isDown)
end;

function VibrationPot:update(dt)
	if self.VibrationPot_load ~= nil then
		for a = 1, self.VibrationPot_load do
			VibrationPot_input = string.format("animation%d", a);
			if InputBinding.hasEvent(InputBinding[VibrationPot_input]) then
				if self.VibrationPot_loop[a] then
					if self.VibrationPot_state[a] then
						self.VibrationPot_state[a] = false;
					else
						self.VibrationPot_state[a] = true;
					end;
				else
					if self.VibrationPot_state[a] then
						self:playAnimation(self.VibrationPot_name[a], 1, nil, true);
						self.VibrationPot_state[a] = false;
					else
						self:playAnimation(self.VibrationPot_name[a], -1, nil, true);
						self.VibrationPot_state[a] = true;
					end;
				end;
			end;
			if self.VibrationPot_loop[a] then
				if self.VibrationPot_state[a] then
					self:playAnimation(self.VibrationPot_name[a], 1, nil, true);
				end;
			end;
			if self.VibrationPot_loop[a] and self.VibrationPot_motor[a] then
				if self.isMotorStarted then
					self:playAnimation(self.VibrationPot_name[a], 1, nil, true);
				end;
			end;
			a = a + 1;
		end;
	end;
end;

function VibrationPot:draw()
	if self.VibrationPot_load ~= nil then
		local help_text_button;
		for a = 1, self.VibrationPot_load do
			if self.VibrationPot_help[a] then
				help_text_button = string.format("animation%d", a);
				g_currentMission:addHelpButtonText(g_i18n:getText(help_text_button), InputBinding[help_text_button]);
			end;
		end;
	end;
end;